Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.relyingparty.util
Class CustomizedSSLTransport

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.transport.http.CommonsHTTPTransportSender
              org.wso2.solutions.identity.relyingparty.util.CustomizedSSLTransport

All Implemented Interfaces:
  org.apache.axis2.engine.Handler, org.apache.axis2.transport.TransportSender

    public class CustomizedSSLTransport

extends org.apache.axis2.transport.http.CommonsHTTPTransportSender

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`org.apache.axis2.engine.Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.transport.http.CommonsHTTPTransportSender
`httpVersion, PROXY_HOST_NAME, PROXY_PORT, proxyOutSetting`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`CustomizedSSLTransport()`

Method Summary
`java.lang.String` | `getTrustStoreFileName()`
`java.lang.String` | `getTrustStorePass()`
`org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext msgContext)`
`void` | `setTrustStoreFileName(java.lang.String keyStorefile)`
`void` | `setTrustStorePass(java.lang.String keyStorePass)`

Methods inherited from class org.apache.axis2.transport.http.CommonsHTTPTransportSender
`cleanup, init, stop`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.axis2.engine.Handler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init`

Constructor Detail

### CustomizedSSLTransport

    public CustomizedSSLTransport()

Method Detail

### invoke

    public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext msgContext)
                                                              throws org.apache.axis2.AxisFault

  Specified by:
    `invoke` in interface `org.apache.axis2.engine.Handler`
  Overrides:
    `invoke` in class `org.apache.axis2.transport.http.CommonsHTTPTransportSender`
  Throws:
    `org.apache.axis2.AxisFault`

### getTrustStoreFileName

    public java.lang.String getTrustStoreFileName()

### getTrustStorePass

    public java.lang.String getTrustStorePass()

### setTrustStoreFileName

    public void setTrustStoreFileName(java.lang.String keyStorefile)

### setTrustStorePass

    public void setTrustStorePass(java.lang.String keyStorePass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD